stream(1)

NAME
stream - a lightweight tool to stream one or more pixel components of the image or portion of the image to your choice of storage formats.

SYNOPSIS

stream [options] input-file output-file

OVERVIEW
Stream is a lightweight tool to stream one or more pixel components of the image or portion of the image to your choice of storage formats. It writes the pixel components as they are read from the input image a row at a time making stream desirable when working with large images or when you require raw pixel components. For more information about the stream command, point your browser to file:///usr/share/doc/ImageMagick-6.3.3/www/stream.html or http://www.imagemagick.org/script/stream.php.

DESCRIPTION
Image Settings:
  -authenticate value decrypt image with this password
  -channel type apply option to select image channels
  -colorspace type alternate image colorspace
  -compress type type of pixel compression when writing the image
  -debug events display copious debugging information
  -define format:option
                       define one or more image format options
  -density geometry horizontal and vertical density of the image
  -depth value image depth
  -extract geometry extract area from image
  -help print program options
  -identify identify the format and characteristics of the image
  -interlace type type of image interlacing scheme
  -interpolate method pixel color interpolation method
  -limit type value pixel cache resource limit
  -log format format of debugging information
  -map components one or more pixel components
  -monitor monitor progress
  -quantize colorspace reduce colors in this colorspace
  -quiet suppress all warning messages
  -regard-warnings pay attention to warning messages
  -sampling-factor geometry
                       horizontal and vertical sampling factor
  -set attribute value set an image attribute
  -size geometry width and height of image
  -storage-type type pixel storage type
  -transparent-color color
                       transparent color
  -verbose print detailed information about the image
  -version print version information
  -virtual-pixel method
                       virtual pixel access method By default, the image format of `file' is determined by its magic number. To specify a particular image format, precede the filename with an image format name and a colon (i.e. ps:image) or specify the image type as the filename suffix (i.e. image.ps). Specify 'file' as '-' for standard input or output.

SEE-ALSO
ImageMagick(1)

COPYRIGHT
Copyright (C) 1999-2006 ImageMagick Studio LLC. Additional copyrights and licenses apply to this software, see file:///usr/share/doc/ImageMagick-6.3.3/www/license.php or http://www.imagemagick.org/script/license.php